# $Revision: 1.8 $, $Date: 2011/07/15 20:24:12 $
#
# TODO:
#	- emacs mode
#
# Conditional build:
%bcond_without	utf8		# build euc-jp dict
#
Summary:	A Japanese character input system library (with dictionary)
Summary(pl.UTF-8):	System wprowadzania znaków japońskich (ze słownikiem)
Name:		anthy
Version:	9100h
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.jp/anthy/37536/%{name}-%{version}.tar.gz
# Source0-md5:	1f558ff7ed296787b55bb1c6cf131108
URL:		http://anthy.sourceforge.jp/
BuildRequires:	automake
BuildRequires:	iconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Japanese character input system library (with dictionary).

%description -l pl.UTF-8
System wprowadzania znaków japońskich (ze słownikiem).

%package devel
Summary:	Header files for anthy libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek anthy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for anthy libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek anthy.

%package static
Summary:	Static anthy libraries
Summary(pl.UTF-8):	Statyczne biblioteki anthy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static anthy libraries.

%description static -l pl.UTF-8
Statyczne biblioteki anthy.

%prep
%setup -q

%if %{with utf8}
cd alt-cannadic
for i in gcanna.ctd gcannaf.ctd gtankan.ctd; do
	iconv -f euc-jp -t utf-8 $i > $i.utf8
done
cd extra
for i in g-jiritu-34.t gc-fullname-34.t gf-fuzoku-34.t gt-tankanji_hikanji-34.t gt-tankanji_kanji-34.t; do
	sed -e 's/^\([^  ]*\)t[  ]*\(#[A-Z0-9\*]*\)[  ]*\([^  ]*\)$/\1 \2 \3/g' $i > $i.norm
done
cd ../../mkworddic
for i in adjust.t compound.t extra.t udict zipcode.t; do
	iconv -f euc-jp -t utf-8 $i > $i.utf8
done
cd ..

if [ ! -f mkworddic/dict.args.in-orig ]; then
	cp -a mkworddic/dict.args.in{,-orig}
fi

cat <<_EOF_ > mkworddic/dict.args.in
# Generated by rpm script
set_input_encoding utf8
read @top_srcdir@/alt-cannadic/gcanna.ctd.utf8
read @top_srcdir@/alt-cannadic/gcannaf.ctd.utf8
read @top_srcdir@/alt-cannadic/gtankan.ctd.utf8
read @top_srcdir@/alt-cannadic/extra/g-jiritu-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gc-fullname-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_kanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_hikanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gf-fuzoku-34.t.norm
read @top_srcdir@/mkworddic/adjust.t.utf8
read @top_srcdir@/mkworddic/compound.t.utf8
read @top_srcdir@/mkworddic/extra.t.utf8
read @top_srcdir@/alt-cannadic/g_fname.t
#
build_reverse_dict
set_dict_encoding utf8
read_uc @top_srcdir@/mkworddic/udict.utf8
write anthy.wdic
done
_EOF_
touch -r mkworddic/dict.args.in{-orig,}
%endif

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DIARY NEWS README doc/[!M]* doc/MISC
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/anthy-conf
%{_datadir}/anthy

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/anthy
%{_pkgconfigdir}/anthy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

#   /usr/share/emacs/site-lisp/anthy/anthy-azik.el
#   /usr/share/emacs/site-lisp/anthy/anthy-azik.elc
#   /usr/share/emacs/site-lisp/anthy/anthy-conf.el
#   /usr/share/emacs/site-lisp/anthy/anthy-conf.elc
#   /usr/share/emacs/site-lisp/anthy/anthy-dic.el
#   /usr/share/emacs/site-lisp/anthy/anthy-dic.elc
#   /usr/share/emacs/site-lisp/anthy/anthy-isearch.el
#   /usr/share/emacs/site-lisp/anthy/anthy-isearch.elc
#   /usr/share/emacs/site-lisp/anthy/anthy-kyuri.el
#   /usr/share/emacs/site-lisp/anthy/anthy-kyuri.elc
#   /usr/share/emacs/site-lisp/anthy/anthy.el
#   /usr/share/emacs/site-lisp/anthy/anthy.elc
#   /usr/share/emacs/site-lisp/anthy/leim-list.el

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anthy.spec,v $
Revision 1.8  2011/07/15 20:24:12  baggins
- rel 2
- build utf-8 dicts (courtesy of ALTLinux)

Revision 1.7  2011/07/12 20:54:32  baggins
- added TODO

Revision 1.6  2011/07/12 20:46:34  baggins
- up to 9100h
- package pkgconfig instead of .la

Revision 1.5  2011/01/29 00:06:07  sparky
- dropped pre-cvs changelog

Revision 1.4  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.2  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.1  2004/03/26 23:46:44  qboosh
- new (partially based on spec from package, mostly rewritten)
